## hb-face

hb-face

## Functions

hb_face_t * | hb_face_create ()
hb_face_t * | hb_face_create_for_tables ()
void | hb_face_destroy ()
hb_face_t * | hb_face_get_empty ()
unsigned int | hb_face_get_glyph_count ()
unsigned int | hb_face_get_index ()
unsigned int | hb_face_get_upem ()
void * | hb_face_get_user_data ()
hb_bool_t | hb_face_is_immutable ()
void | hb_face_make_immutable ()
hb_face_t * | hb_face_reference ()
hb_blob_t * | hb_face_reference_blob ()
hb_blob_t * | hb_face_reference_table ()
void | hb_face_set_glyph_count ()
void | hb_face_set_index ()
void | hb_face_set_upem ()
hb_bool_t | hb_face_set_user_data ()

## Types and Values

typedef | hb_face_t

## Object Hierarchy

        GBoxed
        ╰── hb_face_t

## Description

## Functions

### hb_face_create ()

    hb_face_t *
    hb_face_create (hb_blob_t *blob,
                    unsigned int index);

#### Returns

### hb_face_create_for_tables ()

    hb_face_t *
    hb_face_create_for_tables (hb_reference_table_func_t reference_table_func,
                               void *user_data,
                               hb_destroy_func_t destroy);

#### Parameters

reference_table_func | . | [closure user_data][destroy destroy][scope notified]

#### Returns

(transfer full)

Since 1.0

### hb_face_destroy ()

    void
    hb_face_destroy (hb_face_t *face);

#### Parameters

face | a face. |

Since 1.0

### hb_face_get_empty ()

    hb_face_t *
    hb_face_get_empty (void);

#### Returns

(transfer full)

Since 1.0

### hb_face_get_glyph_count ()

    unsigned int
    hb_face_get_glyph_count (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

Since 1.0

### hb_face_get_index ()

    unsigned int
    hb_face_get_index (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

Since 1.0

### hb_face_get_upem ()

    unsigned int
    hb_face_get_upem (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

Since 1.0

### hb_face_get_user_data ()

    void *
    hb_face_get_user_data (hb_face_t *face,
                           hb_user_data_key_t *key);

#### Parameters

face | a face. |

#### Returns

.

[transfer none]

Since 1.0

### hb_face_is_immutable ()

    hb_bool_t
    hb_face_is_immutable (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

Since 1.0

### hb_face_make_immutable ()

    void
    hb_face_make_immutable (hb_face_t *face);

#### Parameters

face | a face. |

Since 1.0

### hb_face_reference ()

    hb_face_t *
    hb_face_reference (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

Since 1.0

### hb_face_reference_blob ()

    hb_blob_t *
    hb_face_reference_blob (hb_face_t *face);

#### Parameters

face | a face. |

#### Returns

.

[transfer full]

Since 1.0

### hb_face_reference_table ()

    hb_blob_t *
    hb_face_reference_table (hb_face_t *face,
                             hb_tag_t tag);

#### Parameters

face | a face. |

#### Returns

.

[transfer full]

Since 1.0

### hb_face_set_glyph_count ()

    void
    hb_face_set_glyph_count (hb_face_t *face,
                             unsigned int glyph_count);

#### Parameters

face | a face. |

Since 1.0

### hb_face_set_index ()

    void
    hb_face_set_index (hb_face_t *face,
                       unsigned int index);

#### Parameters

face | a face. |

Since 1.0

### hb_face_set_upem ()

    void
    hb_face_set_upem (hb_face_t *face,
                      unsigned int upem);

#### Parameters

face | a face. |

Since 1.0

### hb_face_set_user_data ()

    hb_bool_t
    hb_face_set_user_data (hb_face_t *face,
                           hb_user_data_key_t *key,
                           void *data,
                           hb_destroy_func_t destroy,
                           hb_bool_t replace);

#### Parameters

face | a face. |

#### Returns

Since 1.0

## Types and Values

### hb_face_t

    typedef struct hb_face_t hb_face_t;